be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDSITEvalues

- java.lang.Object
- - java.lang.Enum<CDSITEvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDSITEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDSITEvalues>

      public enum CDSITEvalues
      extends Enum<CDSITEvalues>

  Java class for CD-SITEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-SITEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="BE"/>
           <enumeration value="blood"/>
           <enumeration value="BN"/>
           <enumeration value="BU"/>
           <enumeration value="CT"/>
           <enumeration value="LA"/>
           <enumeration value="LAC"/>
           <enumeration value="LACF"/>
           <enumeration value="LD"/>
           <enumeration value="LE"/>
           <enumeration value="LEJ"/>
           <enumeration value="LF"/>
           <enumeration value="LG"/>
           <enumeration value="LH"/>
           <enumeration value="LIJ"/>
           <enumeration value="LLAQ"/>
           <enumeration value="LLFA"/>
           <enumeration value="LMFA"/>
           <enumeration value="LN"/>
           <enumeration value="LPC"/>
           <enumeration value="LSC"/>
           <enumeration value="LT"/>
           <enumeration value="LUA"/>
           <enumeration value="LUAQ"/>
           <enumeration value="LUFA"/>
           <enumeration value="LVG"/>
           <enumeration value="LVL"/>
           <enumeration value="NB"/>
           <enumeration value="OD"/>
           <enumeration value="OS"/>
           <enumeration value="OU"/>
           <enumeration value="PA"/>
           <enumeration value="PERIN"/>
           <enumeration value="RA"/>
           <enumeration value="RAC"/>
           <enumeration value="RACF"/>
           <enumeration value="RD"/>
           <enumeration value="RE"/>
           <enumeration value="REJ"/>
           <enumeration value="RF"/>
           <enumeration value="RG"/>
           <enumeration value="RH"/>
           <enumeration value="RIJ"/>
           <enumeration value="RLAQ"/>
           <enumeration value="RLFA"/>
           <enumeration value="RMFA"/>
           <enumeration value="RN"/>
           <enumeration value="RPC"/>
           <enumeration value="RSC"/>
           <enumeration value="RT"/>
           <enumeration value="RUA"/>
           <enumeration value="RUAQ"/>
           <enumeration value="RUFA"/>
           <enumeration value="RVG"/>
           <enumeration value="RVL"/>
           <enumeration value="lk"/>
           <enumeration value="rk"/>
           <enumeration value="lhip"/>
           <enumeration value="rhip"/>
           <enumeration value="lfem"/>
           <enumeration value="rfem"/>
           <enumeration value="ltib"/>
           <enumeration value="rtib"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BE`
    `BLOOD`
    `BN`
    `BU`
    `CT`
    `LA`
    `LAC`
    `LACF`
    `LD`
    `LE`
    `LEJ`
    `LF`
    `LFEM`
    `LG`
    `LH`
    `LHIP`
    `LIJ`
    `LK`
    `LLAQ`
    `LLFA`
    `LMFA`
    `LN`
    `LPC`
    `LSC`
    `LT`
    `LTIB`
    `LUA`
    `LUAQ`
    `LUFA`
    `LVG`
    `LVL`
    `NB`
    `OD`
    `OS`
    `OU`
    `PA`
    `PERIN`
    `RA`
    `RAC`
    `RACF`
    `RD`
    `RE`
    `REJ`
    `RF`
    `RFEM`
    `RG`
    `RH`
    `RHIP`
    `RIJ`
    `RK`
    `RLAQ`
    `RLFA`
    `RMFA`
    `RN`
    `RPC`
    `RSC`
    `RT`
    `RTIB`
    `RUA`
    `RUAQ`
    `RUFA`
    `RVG`
    `RVL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDSITEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDSITEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDSITEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BE

          public static final CDSITEvalues BE

    - #### BLOOD

          public static final CDSITEvalues BLOOD

    - #### BN

          public static final CDSITEvalues BN

    - #### BU

          public static final CDSITEvalues BU

    - #### CT

          public static final CDSITEvalues CT

    - #### LA

          public static final CDSITEvalues LA

    - #### LAC

          public static final CDSITEvalues LAC

    - #### LACF

          public static final CDSITEvalues LACF

    - #### LD

          public static final CDSITEvalues LD

    - #### LE

          public static final CDSITEvalues LE

    - #### LEJ

          public static final CDSITEvalues LEJ

    - #### LF

          public static final CDSITEvalues LF

    - #### LG

          public static final CDSITEvalues LG

    - #### LH

          public static final CDSITEvalues LH

    - #### LIJ

          public static final CDSITEvalues LIJ

    - #### LLAQ

          public static final CDSITEvalues LLAQ

    - #### LLFA

          public static final CDSITEvalues LLFA

    - #### LMFA

          public static final CDSITEvalues LMFA

    - #### LN

          public static final CDSITEvalues LN

    - #### LPC

          public static final CDSITEvalues LPC

    - #### LSC

          public static final CDSITEvalues LSC

    - #### LT

          public static final CDSITEvalues LT

    - #### LUA

          public static final CDSITEvalues LUA

    - #### LUAQ

          public static final CDSITEvalues LUAQ

    - #### LUFA

          public static final CDSITEvalues LUFA

    - #### LVG

          public static final CDSITEvalues LVG

    - #### LVL

          public static final CDSITEvalues LVL

    - #### NB

          public static final CDSITEvalues NB

    - #### OD

          public static final CDSITEvalues OD

    - #### OS

          public static final CDSITEvalues OS

    - #### OU

          public static final CDSITEvalues OU

    - #### PA

          public static final CDSITEvalues PA

    - #### PERIN

          public static final CDSITEvalues PERIN

    - #### RA

          public static final CDSITEvalues RA

    - #### RAC

          public static final CDSITEvalues RAC

    - #### RACF

          public static final CDSITEvalues RACF

    - #### RD

          public static final CDSITEvalues RD

    - #### RE

          public static final CDSITEvalues RE

    - #### REJ

          public static final CDSITEvalues REJ

    - #### RF

          public static final CDSITEvalues RF

    - #### RG

          public static final CDSITEvalues RG

    - #### RH

          public static final CDSITEvalues RH

    - #### RIJ

          public static final CDSITEvalues RIJ

    - #### RLAQ

          public static final CDSITEvalues RLAQ

    - #### RLFA

          public static final CDSITEvalues RLFA

    - #### RMFA

          public static final CDSITEvalues RMFA

    - #### RN

          public static final CDSITEvalues RN

    - #### RPC

          public static final CDSITEvalues RPC

    - #### RSC

          public static final CDSITEvalues RSC

    - #### RT

          public static final CDSITEvalues RT

    - #### RUA

          public static final CDSITEvalues RUA

    - #### RUAQ

          public static final CDSITEvalues RUAQ

    - #### RUFA

          public static final CDSITEvalues RUFA

    - #### RVG

          public static final CDSITEvalues RVG

    - #### RVL

          public static final CDSITEvalues RVL

    - #### LK

          public static final CDSITEvalues LK

    - #### RK

          public static final CDSITEvalues RK

    - #### LHIP

          public static final CDSITEvalues LHIP

    - #### RHIP

          public static final CDSITEvalues RHIP

    - #### LFEM

          public static final CDSITEvalues LFEM

    - #### RFEM

          public static final CDSITEvalues RFEM

    - #### LTIB

          public static final CDSITEvalues LTIB

    - #### RTIB

          public static final CDSITEvalues RTIB

  - ### Method Detail

    - #### values

          public static CDSITEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDSITEvalues c : CDSITEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDSITEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDSITEvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.